Nearly 50% of the language list in compact links is CX gray links
Closed, ResolvedPublic

Description

As shown above, for users who have CX enabled, the compact interlanguage list shows many gray interlanguage links. This may be inconvenient for users who would like to have more options to read existing articles in other relevant languages. Restricting the number of gray links in the list may be helpful.

Arrbee created this task.Jun 14 2016, 5:19 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 5:19 AM
santhosh triaged this task as "Normal" priority.Jun 14 2016, 5:57 AM
santhosh claimed this task.

Change 294249 had a related patch set uploaded (by Santhosh):
Limit the number of gray interlanguage links to 3

https://gerrit.wikimedia.org/r/294249

This issue started appearing since we increased the number of remembered previous languages from 5 to 9 for ULS. Now we restricted the maximum number of gray links to 3. Hope that helps.

Change 294249 merged by jenkins-bot:
Limit the number of gray interlanguage links to 3

https://gerrit.wikimedia.org/r/294249

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 15 2016, 6:42 AM
Amire80 moved this task from Backlog to CX9 on the ContentTranslation board.Jun 19 2016, 11:02 AM
santhosh closed this task as "Resolved".Jul 4 2016, 4:38 AM